[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.Changed

Performs action needed when the image data has changed.

## Declaration

Source position: graphics.pp line 802

`protected procedure TGraphic.Changed(`
`Sender: TObject`
`); virtual;`

## Arguments

`Sender` |  | Object for the change notification.

## Description

Changed is a procedure used to perform actions needed when the image data for the class instance has been changed. Changed sets the value in Modified to True, and signals the OnChange event handler (when assigned).

Changed is called when the value in Modified is changed from False to True.

## See also

TGraphic.Modified |  | Indicates if the graphic data in the class instance has been modified.